import request from '@/utils/request'
import qs from 'qs'

export const baseUrl = '/api/upcloud-base-wh-inbound';

export const api = {
  querySubList: baseUrl + '/exceptionHeaders/v1/extractRcvH',
  addItems: baseUrl + '/exceptionHeaders/v1/add',
  taskSplit: baseUrl + '/exceptionHeaders/v1/extractTask',
};

export function receiveCheckTask(parameter) {
  return request({
    method: 'post',
    url: '/kz/check/receiveCheckTask',
    data: parameter,
  })
}
export function returnGoodsShelf(parameter) {
  return request({
    method: 'post',
    url: '/kz/check/returnGoodsShelf',
    data: parameter,
  })
}
export function uploadCheckInfo(parameter) {
  return request({
    method: 'post',
    url: '/kz/check/uploadCheckInfo',
    data: parameter,
  })
}
export function checkWorkStationNo(parameter) {
  return request({
    method: 'post',
    url: '/kz/check/checkWorkStationNo',
    data: parameter,
  })
}
//根据商品条码获取商品数据
export function getGoodsInfo(parameter) {
  return request({
    method: 'get',
    url: '/kz/check/getGoodsInfo',
    params: parameter,
  })
}
//根据商品条码获取货主数据
export function getGoodsOwners(parameter) {
  return request({
    method: 'post',
    url: '/kz/check/getGoodsOwners',
    data: parameter,
  })
}
//根据商品条码获取批号数据
export function getLots(parameter) {
  return request({
    method: 'post',
    url: '/kz/check/getLots',
    data: parameter,
  })
}
// 查看图片
export function queryImages(parameter) {
  return request({
    method: 'post',
    url:'/kz/maintain/queryImages',
    data: parameter,
  })
}
// 查看进度
export function getCheckProcess(parameter) {
  return request({
    method: 'post',
    url:'/kz/check/getCheckProcess',
    data: parameter,
  })
}